WoMax Documentation

# t_OMax_oracle Struct Reference
[Max5 Externals, Factor Oracle structure]

OMax.oracle external. More...

`#include <OMax.oracle.h>`

Collaboration diagram for t_OMax_oracle:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
O_oracle | oracle
| Factor Oracle structure.
t_symbol * | oname
| Pointer to FO name.
t_int32_atomic | wflag
| Writing flag.
t_int32_atomic | readcount
| Reader Count.
void * | out0
| Outlet 0 (leftmost).
## Standard Max5 methodes
void * | OMax_oracle_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_oracle_free (t_OMax_oracle *x)
| Object destruction.
void | OMax_oracle_assist (t_OMax_oracle *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Input/Output routines
void | OMax_oracle_size (t_OMax_oracle *x)
| Get the size of FO.
void | OMax_oracle_write (t_OMax_oracle *x, t_symbol *s)
| Get FO saved in a .DOT file.
void | OMax_oracle_init (t_OMax_oracle *x)
| Initialise the FO structure.
void | OMax_oracle_reset (t_OMax_oracle *x)
| Reset the FO structure.
## Internal routines
void | OMax_oracle_dowrite (t_OMax_oracle *x, t_symbol *s)
| Prepare writing in a .DOT file.
void | OMax_oracle_writefile (t_OMax_oracle *x, char *filename, short path)
| Write FO in a .DOT file.

## Detailed Description

OMax.oracle external.

This external object ports Factor Oracle structure into Max5. Input handeled are messages `size`, `write`, `init`, and `reset`

Definition at line 21 of file OMax.oracle.h.

## Member Function Documentation

void OMax_oracle_free | ( | t_OMax_oracle * | x | ) |

Object destruction.

Remarks:
  Deletes the whole FO structure

Definition at line 114 of file OMax.oracle.c.

Here is the call graph for this function:

void OMax_oracle_init | ( | t_OMax_oracle * | x | ) |

Initialise the FO structure.

Remarks:
  Input message in Max5: `init`

Definition at line 170 of file OMax.oracle.c.

Here is the call graph for this function:

void * OMax_oracle_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Declare the first argument given to the Max5 object as the name of F0 (member t_OMax_oracle::oname) and links it with the OMax.oracle object

Definition at line 74 of file OMax.oracle.c.

void OMax_oracle_reset | ( | t_OMax_oracle * | x | ) |

Reset the FO structure.

Remarks:
  Input message in Max5: `reset`

Definition at line 178 of file OMax.oracle.c.

Here is the call graph for this function:

void OMax_oracle_size | ( | t_OMax_oracle * | x | ) |

Get the size of FO.

Remarks:
  Input message in Max5: `size`

Definition at line 154 of file OMax.oracle.c.

Here is the call graph for this function:

void OMax_oracle_write | ( | t_OMax_oracle * | x,
|  | t_symbol * | s |
| ) |  |  |

Get FO saved in a .DOT file.

Remarks:
  Input message in Max5: `write` with the name a file (opens a browser otherwise)

Definition at line 162 of file OMax.oracle.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- OMax.oracle.h
- OMax.oracle.c